DOKU Malaysia API Reference
Home
Products
Products
  • Checkout
  • Payment
  • Cards Payment
DOKU Docs
Home
Products
Products
  • Checkout
  • Payment
  • Cards Payment
DOKU Docs
  1. Host-to-Host Payment
  • Introduction
  • Getting Started
    • Create Account
    • Make your first API call
    • Authentication & API Keys
  • Checkout
    • Overview
    • Create Checkout
      POST
    • Retrieve Checkout Status
      GET
  • Payment
    • Overview
    • Create Payment
      POST
    • Get Bank List - FPX
      POST
    • Retrieve Payment Status
      GET
  • Cards Payment
    • Overview
    • Payment Form
      • Request Payment
    • Host-to-Host Payment
      • Check Three D Secure
        POST
      • Charge Payment
        POST
      • Capture Authorized Payment
        POST
    • Request Refund
      POST
    • Unbind Token
      POST
    • Check Status
      GET
  • Payout
    • Overview
    • Inquire Beneficiary Account
      POST
    • Send Payout
      POST
    • Read Payout Status
      GET
    • Read Available Balance
      GET
  • Notification
    • Overview
    • Retry Notification
    • Setup Notification URL
    • Sample Notification - Global
    • Sample Notification - Cards
  • Technical Reference
    • Authentication & Integrity
    • Idempotency
    • Data Type
    • Order & Transaction Status
    • Postman Collection
    • Response Code
      • Error Code
      • Payout Response Code
      • Credit Card Acquirer Response Code
    • API Version
      • Create Checkout
      • Create Payment
      • Get Bank List - FPX
      • Retrieve Checkout
      • Retrieve Payment
      • Inquire Beneficiary Account
      • Send Payout
      • Read Payout Status
      • Read Available Balance
    • Signature
      • Signature - Global
        • Prepare Signature Component
        • Generating Signature
        • Validating Signature
        • Sample Code
      • Signature - Cards Payment API
        • Signature Component from Response Header
        • Signature from API Get Method
        • Sample Code
        • Signature Component from Request Header
  1. Host-to-Host Payment

Capture Authorized Payment

POST
/credit-card/capture
Environment
Sandbox - https://api-sandbox.doku.com
Production - https://api.doku.com

Request

Authorization
API Key
Add parameter in header
Signature
Example:
Signature: ********************
API Key
Add parameter in header
Client-Id
Example:
Client-Id: ********************
Basic Auth
Send your HTTP requests with an
Authorization
header that contains the word Basic followed by a space and a base64-encoded string username:password
Example:
Authorization: Basic *****************
or
Header Params

Body Params application/json

Example
{
    "payment": {
        "authorize_id": "193869186391",
        "capture_amount": "1000",
        "currency": "MYR"
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/credit-card/capture' \
--header 'Request-Timestamp: 2020-12-21T07:56:11.000Z' \
--header 'Request-Id: 418075533589' \
--header 'Request-Target: /credit-card/v1/payment-page' \
--header 'Signature: <api-key>' \
--header 'Client-Id: <api-key>' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{
    "payment": {
        "authorize_id": "193869186391",
        "capture_amount": "1000",
        "currency": "MYR"
    }
}'

Responses

🟢200
application/json
Successful response
Bodyapplication/json

Example
{
    "order": {
        "invoice_number": "INV-0001",
        "amount": 10000,
        "descriptor": "BIILING-INV-0001",
        "currency": "MY"
    },
    "customer": {
        "id": "Test001",
        "zip_code": "16455",
        "country": "MY",
        "name": "DOKU Merchant",
        "state": "Malaysia",
        "city": "Selangor",
        "address": "Selangor, Malaysia",
        "phone": "0282938478293",
        "email": "merchant@doku.com"
    },
    "payment": {
        "type": "CAPTURE",
        "request_id": "418075533589",
        "response_code": "00",
        "response_message": "Approved",
        "status": "SUCCES",
        "authorize_id": "193869186391",
        "approval_code": "112233"
    },
    "card": {
        "token": "536794906625cd02616510faa8460996",
        "masked": "557338*******101",
        "type": "CREDIT",
        "issuer": "OCBC Berhad",
        "brand": "VISA"
    }
}
🟠400
🔴500
Modified at 2026-11-02 08:09:55
Previous
Charge Payment
Next
Request Refund
Built with